
QGIS Application - Bug report #8874

Right clicking on error = little black box for a context menu

2013-10-16 06:06 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Larry Shaffer

Category: GUI

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17554

Description

If I right click on an error message, you'll see as attached a little black box appears.

If I mouse around the box the text "copy" appears in grey. It also looks like there's something below the "copy" text, but is cut off with the

box being too small.

History

#1 - 2013-10-16 10:25 PM - Larry Shaffer

- Target version set to Future Release - High Priority

- Assignee set to Larry Shaffer

- Status changed from Open to Feedback

This should be fixed with commit commit:753977d

Please verify.

#2 - 2013-12-04 12:01 PM - Richard Duivenvoorde

I could not find your commit in my git log, but I can read Copy in a black block here on master (linux).

Is there a special reason to make it black? If I do not select something in the messagebar, apparently the copy is 'greyed out', but this is (for me) almost

invisible. If I really select something in the messagebar copying just works. 

There seems also be some hover action in it? Is this needed?

#3 - 2013-12-10 01:08 AM - Matthias Kuhn

Fixed here.

commit from Oct 16 is there and the context menu is not black (i.e. looks good).

#4 - 2013-12-11 04:49 AM - Jonathan Moules

- Status changed from Feedback to Closed

Yep, this seems to be fixed in the weekly build. Thanks!
